package com.mortals.xhx.module.ent.model;
import java.util.List;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.ent.model.vo.EntLifeMatterVo;
import com.mortals.xhx.module.ent.model.EntLifeMatterSubEntity;
import lombok.Data;
/**
 * 企业周期事项主实体对象
 *
 * @author zxfei
 * @date 2025-03-17
 */
@Data
public class EntLifeMatterEntity extends EntLifeMatterVo {
    private static final long serialVersionUID = 1L;

    /**
     * 企业生命周期id
     */
    private Long lifeCycleId;
    /**
     * 生命周期名称
     */
    private String lifeCycleName;
    /**
     * 办理单位ID
     */
    private Long deptId;
    /**
     * 备注
     */
    private String remark;
    /**
     * 创建用户名称
     */
    private String createUserName;
    /**
     * 事项组名称
     */
    private String matterGroupName;
    /**
     * 企业周期事项子信息
     */
    private List<EntLifeMatterSubEntity> entLifeMatterSubList=new ArrayList<>();;
    public List<EntLifeMatterSubEntity> getEntLifeMatterSubList(){
        return entLifeMatterSubList;
    }

    public void setEntLifeMatterSubList(List<EntLifeMatterSubEntity> entLifeMatterSubList){
        this.entLifeMatterSubList = entLifeMatterSubList;
    }
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof EntLifeMatterEntity) {
            EntLifeMatterEntity tmp = (EntLifeMatterEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.lifeCycleId = null;
        this.lifeCycleName = "";
        this.deptId = null;
        this.remark = "";
        this.createUserName = "";
        this.matterGroupName = "";
    }
}